सवाल स्काइप 4.3 कैसे स्थापित करें? [डुप्लिकेट]


इस प्रश्न का उत्तर यहां दिया गया है:

नोट: लिनक्स एप्लिकेशन (v4। *) के लिए विरासत स्काइप अब बंद कर दिया गया है और इसे कैनोनिकल के पार्टनर रिपॉजिटरीज़ से हटा दिया गया था, इसलिए यह प्रश्न और उसके उत्तर अप्रचलित हैं। कृपया देखें एक नया जवाब हमारे कैननिकल स्काइप स्थापना सवाल

स्काइप 4.3 अभी काफी सुधार के साथ जारी किया गया है। नियमित स्काइप उपयोगकर्ता के रूप में मैं अपने उबंटू 14.04 पर नवीनतम स्काइप का उपयोग करना चाहता हूं, लेकिन अपडेट मैनेजर से कोई अपडेट नहीं है। स्काइप वेबसाइट में भी स्काइप 4.3 केवल उबंटू 12.04 के लिए उपलब्ध है। क्या उबंटू 14.04 पर इस नवीनतम स्काइप का उपयोग करने के लिए वैसे भी है या हमें अपडेट के लिए कितना इंतजार करना है?


161
2018-06-25 13:54


मूल


आपको पहले से ही कुछ जवाब मिल गए हैं। सिर्फ यह जोड़ना चाहता था कि कैनोनिकल पार्टनर रिपॉजिटरी को अपडेट करने के बारे में एक इच्छासूची बग है: launchpad.net/bugs/1280109 कृपया यह चिह्नित करने के लिए स्वतंत्र महसूस करें कि यह आपको प्रभावित करता है, और शायद एक टिप्पणी जोड़ें। ;) - Gunnar Hjalmarsson
कैननिकल पार्टनर रिपोजिटरी में उपलब्ध स्काइप का संस्करण है अब अपडेट किया गया। - Christopher Kyle Horton
बस कहना चाहते हैं कि स्काइप के इस संस्करण को स्थापित करने से लिनक्स पर संस्करण 4.2 के लिए "समस्याएं साइन नहीं कर सकते" हल हो गई है ... - belun
help.ubuntu.com/community/Skype - phillipsk


जवाब:


चरण 1: पिछले संस्करण को हटाएं।

sudo apt-get remove skype skype-bin:i386 skype:i386
sudo apt-get install sni-qt:i386

यह महत्वपूर्ण है यदि आपने अपने उबंटू पर स्काइप के पुराने संस्करण को स्थापित किया है, तो नवीनतम संस्करण स्थापित करने से पहले पुराने स्काइप फ़ोल्डर को साफ़ करें। फिर स्पष्ट करें कि इसका उपयोग करके:

rm -rf ~/.Skype

चरण 2: स्काइप स्थापित करने की तैयारी।

  • 64-बिट उबंटू के उपयोगकर्ता सक्षम होना चाहिए MultiArch यदि यह आदेश चलाकर पहले से सक्षम नहीं है

    sudo dpkg --add-architecture i386
    
  • रिपॉजिटरीज और "अपडेट्स" सूची अपडेट करें:

    sudo apt-get update
    
  • वैकल्पिक, स्थापित करें GDebi (निचे देखो):

    sudo apt-get install gdebi #(read Why you need to install gdebi...)
    

चरण 3: स्काइप स्थापित करना

विधि 1: फ़ाइल से डाउनलोड और इंस्टॉल करें

wget download.skype.com/linux/skype-ubuntu-precise_4.3.0.37-1_i386.deb
sudo gdebi skype-ubuntu-precise_4.3.0.37-1_i386.deb

विधि 2: से स्काइप स्थापित करें कैननिकल पार्टनर रिपोजिटरी

तो आदेश का पालन करके कैनोलिक पार्टनर रिपोजिटरी को "अपडेट्स" सूची में जोड़ें:

sudo add-apt-repository "deb http://archive.canonical.com/ $(lsb_release -sc) partner"

फिर स्काइप के माध्यम से स्थापित करें सॉफ्टवेयर केंद्र या टर्मिनल के माध्यम से।

sudo apt-get update && sudo apt-get install skype

स्रोत


डीपीकेजी या उबंटू सॉफ्टवेयर सेंटर का उपयोग करने के बजाय आपको gdebi इंस्टॉल करने की आवश्यकता क्यों है।

dpkg (डेबियन पैकेज के लिए) कमांड लाइन का एक सॉफ्टवेयर टूल डेबियन (पैकेट डीब) को स्थापित करने, बनाने, हटाने और प्रबंधित करने के लिए ज़िम्मेदार है, उबंटू द्वारा संसाधित पैकेट के प्रकार। यह एपीटी रिपॉजिटरीज के बाहर स्रोतों से डेबियन पैकेज प्रबंधन को भी अनुमति देता है।

पैकेज स्थापित करने के लिए, dpkg एक ग्राफिकल इंटरफेस है, gdebi , यदि आप कमांड लाइन से बचना पसंद करते हैं तो आप इसका उपयोग कर सकते हैं।

gdebi डेबियन (.deb) पैकेजों का एक अनुप्रयोग स्थापना और प्रबंधन है। यह एक उपयोगिता है जो ग्राफिक मोड कंसोल दोनों में काम करती है और एपीटी जमा के बाहर पैकेज की स्थापना की अनुमति देती है: वेबसाइट, सीडी-रोम, पोर्टेबल मीडिया इत्यादि से। इसके समान कार्यक्षमता है apt-get या Ubuntu Software Center : यह सुनिश्चित करता है कि स्थापित करने के लिए पैकेज उबंटू सिस्टम के संस्करण और आर्किटेक्चर के साथ संगत है जिसमें आप इसे स्थापित करने का प्रयास करते हैं, और यह भी सुनिश्चित करता है कि पैकेज द्वारा आवश्यक सभी निर्भरताएं संतुष्ट हैं। अन्यथा, निर्भरता इंटरनेट से डाउनलोड की जाती है। टैब का उपयोग करना, gdebi महत्वपूर्ण जानकारी तक पहुंच प्रदान करता है जैसे कि फ़ोल्डर पथ जिसमें .deb पैकेज से विभिन्न फ़ाइलों को स्थापित करना है।

आखिरकार gdebi एक लाइटवेट डीब पैकेज इंस्टॉलर है जो उबंटू डेस्कटॉप में डिफ़ॉल्ट था। अब उबंटू उबंटू सॉफ्टवेयर सेंटर का उपयोग करता है जो धीमा है और कभी-कभी आपको मिलता है The package is of bad qualityत्रुटि।


पर और अधिक पढ़ें GDebi:

एक सॉफ्टवेयर भंडार के बजाय, एक वेबसाइट से डाउनलोड किया गया एक पैकेज स्थापित करने के लिए। इन पैकेजों को .deb फाइल कहा जाता है। क्योंकि वे एक अलग लिनक्स वितरण के लिए बनाए गए हो सकते हैं, तो आप पाएंगे कि उबंटू के साथ निर्भरता के मुद्दे हैं, जिसका अर्थ है कि वे अनइंस्टॉल करने योग्य हो सकते हैं।

gdebi .deb फ़ाइलों को स्थापित करने के लिए एक सरल उपकरण है। इसमें एक ग्राफिकल यूजर इंटरफेस है लेकिन इसका इस्तेमाल आपके टर्मिनल में भी किया जा सकता है। यह आपको स्थानीय डेब पैकेज स्थापित करने देता है इसकी निर्भरताओं को हल करना और स्थापित करना .. यह स्वचालित रूप से उनकी निर्भरताओं के लिए संकुल की जांच करता है और यदि संभव हो तो उन्हें उबंटू सॉफ्टवेयर रिपॉजिटरीज़ से डाउनलोड करने का प्रयास करेगा। आपको पहले स्थापित करने की आवश्यकता हो सकती है gdebi - बस स्थापित करें gdebi जैसे पैकेज प्रबंधक में से एक का उपयोग कर पैकेज dkpg, Synaptic या टर्मिनल खोलें और टाइप करें sudo apt-get install gdebi। एक बार स्थापित हो जाने के बाद gdebi, उस पैकेज को ढूंढने के लिए फ़ाइल ब्राउज़र का उपयोग करें जिसे आप इंस्टॉल करना चाहते हैं।

इसे खोलने के लिए पैकेज को डबल-क्लिक करें gdebi। यदि सभी निर्भरताओं को चयनित पैकेज के लिए पूरा किया गया है, तो बस क्लिक करें Install package इसे स्थापित करने के लिए बटन। gdebi  अगर आपको अनमेट निर्भरताएं हैं, तो आपको चेतावनी दी जाएगी, जिसका अर्थ है कि ऐसी निर्भरताएं हैं जिन्हें आप उपयोग कर रहे भंडारों में हल नहीं कर रहे हैं।


235
2018-06-25 14:13



मैंने कुछ ओवरराइट किया, जिसे कोई नहीं करना चाहिए। apt-get install -f -o Dpkg::Options::="--force-overwrite" libqtwebkit4:i386 और यह निर्भरता समस्या के कारण मुझे प्राप्त होने वाली स्थापना त्रुटि को ठीक कर दिया गया। - Mayura
स्थापित करने की आवश्यकता क्यों है gdebi? उबंटू सॉफ्टवेयर सेंटर या dpkg -i, जो दोनों पहले से स्थापित हैं, .deb फ़ाइल स्थापनाओं को संभाल सकते हैं। - Christopher Kyle Horton
@ कासिया मैं अभी भी नहीं देखता कि आप क्यों करेंगे जरुरत gdebi स्थापित करने के लिए। आपका उत्तर बस "यह डीपीकेजी से अधिक आरामदायक और सॉफ्टवेयर केंद्र से तेज़ है" जैसा पढ़ता है। यह सच हो सकता है, लेकिन यह व्यक्तिगत वरीयता है। आप इसे स्काइप 4.3 चलाने के लिए gdebi की तरह ध्वनि बनाते हैं। - us2012
इससे मुझे मेरी 12.04 x64 स्थापना में त्रुटि मिली: sudo dpkg --add-architecture i386, लेकिन बाकी बस ठीक काम किया। - Andrejs Cainikovs
एफवाईआई यह आसान पहुंच के लिए लोकप्रिय टास्कबार स्काइप आइकन भी बनाएगा, जबकि उबंटू सॉफ्टवेयर सेंटर के माध्यम से "सामान्य" स्थापना नहीं होगी। - Sliq


उबंटू सॉफ्टवेयर सेंटर से स्थापित करें

2 अगस्त, 2014 तक, अब आप सीधे उबंटू सॉफ्टवेयर सेंटर से स्काइप 4.3 इंस्टॉल कर सकते हैं।

ऐसा करने के लिए, आपको पहले निम्नलिखित चरणों का उपयोग करके कैनोलिक पार्टनर रिपोजिटरी को सक्षम करना होगा (ओएमजी द्वारा प्रदान किए गए चरणों के आधार पर! उबंटू; देखें स्रोत):

  • यूनिटी डैश में 'सॉफ़्टवेयर स्रोत' या 'सॉफ़्टवेयर और अपडेट' खोजें और खोलें
  • 'अन्य सॉफ्टवेयर' टैब का चयन करें
  • 'कैननिकल पार्टनर्स' की अध्यक्षता वाली दो प्रविष्टियों के बगल में स्थित बॉक्स चेक / चेक करें
  • बाहर निकलें, और सॉफ़्टवेयर रीलोड प्रॉम्प्ट पर 'ओके' दबाएं

फिर उबंटू सॉफ्टवेयर सेंटर में स्काइप की खोज करें और इसे इंस्टॉल करें क्योंकि आप किसी अन्य सॉफ़्टवेयर के रूप में स्थापित करेंगे।

(स्रोत)

स्काइप की वेबसाइट से स्थापित करें

आप एक .deb पैकेज के रूप में स्काइप का नवीनतम संस्करण डाउनलोड कर सकते हैं सीधे अपनी वेबसाइट से। यदि आप उबंटू 12.04 एलटीएस या नए चला रहे हैं तो 12.04 (बहुआयामी) संस्करण चुनें; यदि आप यानी 14.04 एलटीएस पर हैं, तो यह अभी भी काम करेगा, क्योंकि माइक्रोसॉफ्ट न्यूनतम माइबंटू संस्करण के रूप में सूचीबद्ध है।

एक बार आपके पास हो जाने के बाद, यह सुनिश्चित करने के लिए निम्न आदेश चलाएं कि आपका सिस्टम किसी भी पिछले इंस्टॉलेशन से साफ़ है:

sudo apt-get remove skype skype-bin:i386 skype:i386

फिर उबंटू सॉफ्टवेयर सेंटर में इसे खोलने के लिए डाउनलोड की गई .deb फ़ाइल पर डबल-क्लिक करें और इसे किसी अन्य सॉफ़्टवेयर की तरह इंस्टॉल करें।

इसके बाद, यह सुनिश्चित करने के लिए टर्मिनल में निम्न आदेश भी चलाएं कि सूचक मेनू के लिए समर्थन उपलब्ध है:

sudo apt-get install sni-qt:i386

अब आप स्काइप को डैश में पा सकते हैं, इसे चला सकते हैं और इसका आनंद ले सकते हैं!

(स्रोत: WebUpd8)


60
2018-06-25 14:20



क्या "सॉफ़्टवेयर स्रोत" डैश से खोजने योग्य है? मैंने कहा होगा: Alt + F2 दबाएं और कमांड सॉफ़्टवेयर-गुण-gtk चलाएं - Gunnar Hjalmarsson
दरअसल, उबंटू 14.04 पर ऐसा प्रतीत होता है कि आप जिस विकल्प को वास्तव में चाहते हैं वह "सॉफ्टवेयर और अपडेट्स" है (हालांकि वह क्वेरी इसे एक विकल्प के रूप में लाती है)। इसे प्रतिबिंबित करने के लिए उत्तर अपडेट कर रहा है। - Christopher Kyle Horton
ठीक; वास्तव में मेरे पास (किसी अज्ञात कारण के लिए) एक स्थानीय डेस्कटॉप फ़ाइल "नोडिस्प्ले = सत्य" थी, इसलिए मैंने इसे डैश में बिल्कुल नहीं देखा। बस उस फाइल को हटा दिया। शोर के लिए खेद है। ;) - Gunnar Hjalmarsson
ऊपर दिए गए किसी भी विधि का उपयोग करने के बाद, आप लॉग इन करने के बाद स्काइप क्रैश देख सकते हैं। इसके लिए आपको ~ / .Skype ड्रॉप करना होगा और फिर लॉगिन करना होगा। वह उत्तम होगा। - Tanvir Ahmad
@tonygil मैंने सॉफ्टवेयर केंद्र से 4.3 इंस्टॉल करने का प्रयास नहीं किया है, लेकिन मैंने बाद में विधि का उपयोग कर कई उबंटू कंप्यूटरों पर स्काइप 4.3 सफलतापूर्वक इंस्टॉल किया है। कृपया सुनिश्चित करें कि आपके पास .deb फ़ाइल का नवीनतम संस्करण है। - Christopher Kyle Horton